package com.gyee.alarm.controller.feigns;


import com.gyee.alarm.model.vo.AlarmTag;
import feign.Headers;
import feign.Param;
import feign.RequestLine;


import java.util.ArrayList;
import java.util.List;

public interface IAlarmService {



    @RequestLine("POST /api/alarm/wtTags?wpIds={wpIds}")
    List<AlarmTag> findTagsByWt(@Param("wpIds") String wpIds);

    @RequestLine("GET /api/alarm/btTags")
    List<AlarmTag> findTagsByBt();

    @RequestLine("GET /api/alarm/inTags")
    List<AlarmTag> findTagsByIn();

    @Headers({"Content-Type: application/json", "Accept: application/json"})
    @RequestLine("POST /api/alarm/saveWtTags")
    void saveWtTags(List<AlarmTag> tasks);
    @Headers({"Content-Type: application/json", "Accept: application/json"})
    @RequestLine("POST /api/alarm/saveBtTags")
    void saveBtTags(List<AlarmTag> tasks);
    @Headers({"Content-Type: application/json", "Accept: application/json"})
    @RequestLine("POST /api/alarm/saveInTags")
    void saveInTags(List<AlarmTag> tasks);

    @Headers({"Content-Type: application/json", "Accept: application/json"})
    @RequestLine("POST /api/alarm/updateInTags")
    void updateInTags(List<AlarmTag> tasks);
    @Headers({"Content-Type: application/json", "Accept: application/json"})
    @RequestLine("POST /api/alarm/updateWtTags")
    void updateWtTags(List<AlarmTag> tasks);
    @Headers({"Content-Type: application/json", "Accept: application/json"})
    @RequestLine("POST /api/alarm/updateBtTags")
    void updateBtTags(List<AlarmTag> tasks);
}
